### Function

# FwupdPlugin ptr_array_copy

since: 2.0.8

#### Declaration [src]

    GPtrArray*
    fu_ptr_array_copy (
      GPtrArray* array,
      GCopyFunc func,
      GDestroyNotify free_func
    )

#### Description [src]

Deep copies a `GPtrArray` using `func` to copy each element. The new array uses `free_func` as the element free function.

Available since: 2.0.8

#### Parameters

`array`

  Type: An array of `None`

  A `GPtrArray`.

  The data is owned by the caller of the function.

`func`

  Type: `GCopyFunc`

  A copy function.

`free_func`

  Type: `GDestroyNotify`

  A free function for the new array.

  The argument can be `NULL`.

#### Return value

Type: An array of `None`

A new `GPtrArray`.

The caller of the function takes ownership of the data, and is responsible for freeing it.